## n3dr 0.3.0-101026

=== debian/changelog ===
n3dr (0.3.0-101026) stable; urgency=low

  1.fixed some bugs
  		   2.add auto rotation function
                     3.add UMD file support
                     4.new icon.


 -- Michael Wong <imichaelwong@gmail.com>  Tue, 26 Oct 2010 22:50:02 +0000
