## n3dr 0.3.1-101202

=== debian/changelog ===
n3dr (0.3.1-101202) stable; urgency=low

  1.fixed a bug for mx99.com


 -- Michael Wong <imichaelwong@gmail.com>  Thu, 02 Dec 2010 20:57:09 +0000
