=== debian/control ===
Source: n3dr
Section: user/network
Priority: extra
Maintainer: Michael Wong <imichaelwong@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: n3dr
XB-Maemo-Display-Name: N3DR
Architecture: armel
Depends: python2.5,python2.5-qt4
Suggests: 
Description: N3DR<Nokia N900 Novels Downloader and Reader>
                 is a tool to download and read Chinese novels from some supported websites
XB-Maemo-Upgrade-Description: 
XSBC-Bugtracker:
