=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/n3dr" install
	mkdir -p "$(CURDIR)/debian/n3dr"

	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/Controller.py" "$(CURDIR)/debian/n3dr/opt/n3dr/Controller.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/DAO.py" "$(CURDIR)/debian/n3dr/opt/n3dr/DAO.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/Downloader.py" "$(CURDIR)/debian/n3dr/opt/n3dr/Downloader.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/Exceptions.py" "$(CURDIR)/debian/n3dr/opt/n3dr/Exceptions.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/Logger.py" "$(CURDIR)/debian/n3dr/opt/n3dr/Logger.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/NDR.py" "$(CURDIR)/debian/n3dr/opt/n3dr/NDR.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/Processor.py" "$(CURDIR)/debian/n3dr/opt/n3dr/Processor.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/ProcessorTest.py" "$(CURDIR)/debian/n3dr/opt/n3dr/ProcessorTest.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/UI.py" "$(CURDIR)/debian/n3dr/opt/n3dr/UI.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/UMD.py" "$(CURDIR)/debian/n3dr/opt/n3dr/UMD.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/UMDTest.py" "$(CURDIR)/debian/n3dr/opt/n3dr/UMDTest.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/Utils.py" "$(CURDIR)/debian/n3dr/opt/n3dr/Utils.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/Writer.py" "$(CURDIR)/debian/n3dr/opt/n3dr/Writer.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/conic_monitor.py" "$(CURDIR)/debian/n3dr/opt/n3dr/conic_monitor.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/flickcharm.py" "$(CURDIR)/debian/n3dr/opt/n3dr/flickcharm.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/icd_dbus_test.py" "$(CURDIR)/debian/n3dr/opt/n3dr/icd_dbus_test.py"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/n3dr_w.db" "$(CURDIR)/debian/n3dr/opt/n3dr/n3dr_w.db"
	mkdir -p "$(CURDIR)/debian/n3dr/opt/n3dr"
	cp -a "n3dr/test_connect.py" "$(CURDIR)/debian/n3dr/opt/n3dr/test_connect.py"
	mkdir -p "$(CURDIR)/debian/n3dr/usr/share/applications/hildon/"
	cp -a "n3dr.desktop" "$(CURDIR)/debian/n3dr/usr/share/applications/hildon/n3dr.desktop"
	mkdir -p "$(CURDIR)/debian/n3dr/usr/share/pixmaps/"
	cp -a "n3dr.png" "$(CURDIR)/debian/n3dr/usr/share/pixmaps/n3dr.png"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
